CUDNN Frontend API 8.3.0

Public Attributes | List of all members
nlohmann::detail::internal_iterator< BasicJsonType > Struct Template Reference

an iterator value More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::internal_iterator< BasicJsonType >:
Collaboration diagram for nlohmann::detail::internal_iterator< BasicJsonType >:

## Public Attributes
BasicJsonType::object_t::iterator | object_iterator {}
| iterator for JSON objects More...
BasicJsonType::array_t::iterator | array_iterator {}
| iterator for JSON arrays More...
primitive_iterator_t | primitive_iterator {}
| generic iterator for all other types More...

## Detailed Description

### template<typename BasicJsonType>
struct nlohmann::detail::internal_iterator< BasicJsonType >

an iterator value

Note
  This structure could easily be a union, but MSVC currently does not allow unions members with complex constructors, see https://github.com/nlohmann/json/pull/105.

Definition at line 11290 of file json.hpp.

## Member Data Documentation

## ◆ array_iterator

template<typename BasicJsonType>

BasicJsonType::array_t::iterator nlohmann::detail::internal_iterator< BasicJsonType >::array_iterator {}

iterator for JSON arrays

Definition at line 11295 of file json.hpp.

Referenced by nlohmann::basic_json< ObjectType, ArrayType, StringType, BooleanType, NumberIntegerType, NumberUnsignedType, NumberFloatType, AllocatorType, JSONSerializer, BinaryType >::insert(), nlohmann::basic_json< ObjectType, ArrayType, StringType, BooleanType, NumberIntegerType, NumberUnsignedType, NumberFloatType, AllocatorType, JSONSerializer, BinaryType >::insert_iterator(), nlohmann::detail::iter_impl< BasicJsonType >::operator-(), and nlohmann::detail::iter_impl< BasicJsonType >::operator<().

## ◆ object_iterator

template<typename BasicJsonType>

BasicJsonType::object_t::iterator nlohmann::detail::internal_iterator< BasicJsonType >::object_iterator {}

iterator for JSON objects

Definition at line 11293 of file json.hpp.

Referenced by nlohmann::basic_json< ObjectType, ArrayType, StringType, BooleanType, NumberIntegerType, NumberUnsignedType, NumberFloatType, AllocatorType, JSONSerializer, BinaryType >::insert().

## ◆ primitive_iterator

template<typename BasicJsonType>

primitive_iterator_t nlohmann::detail::internal_iterator< BasicJsonType >::primitive_iterator {}

generic iterator for all other types

Definition at line 11297 of file json.hpp.

Referenced by nlohmann::detail::iter_impl< BasicJsonType >::operator-(), and nlohmann::detail::iter_impl< BasicJsonType >::operator<().

The documentation for this struct was generated from the following file:

- json.hpp